import {
  Controller,
  Post,
  UseInterceptors,
  UploadedFile,
} from '@nestjs/common';
import { FileInterceptor } from '@nestjs/platform-express';
import { UploadService } from '../upload/upload.server';
import multer = require('multer');

@Controller('demo')
export class OssController {
  constructor(private readonly uploadService: UploadService) {}
  /**
   * 上传图片到 本地 和 oss
   * @param body
   */
  @Post('uploadImage')
  @UseInterceptors(
    FileInterceptor('file', {
      storage: multer.diskStorage({
        destination: (req, file, cb) => {
          cb(null, 'D:/oss/image');
        },
        filename: (req, file, cb) => {
          cb(null, file.originalname);
        },
      }),
    }),
  )
  async uploadImage(@UploadedFile() file: any): Promise<any> {
    return await this.uploadService.uploadImage(file);
  }
}
